List company units

A unit represents a property you manage. They are normally imported from the PMS integrated with Reva, but you can also create them manually. This endpoint will return all active units for a company.

Attributes

The response will be encapsulated by two objects: the data object that will contain the information for the units. And the filters object that will contain the information about the pagination and the results from the filtering process.

Data Object

Within this object each unit will have the following attributes:


id uuid
The unique id for the unit.


name string
The name of the unit imported from the PMS or set by the user upon it's creation.


provider_id string
The id of the unit that comes from the PMS.


beds integer
The number of beds the unit has, this comes directly from the PMS and if this information is not present the returned value will be null.


node_id integer
The id of the node the unit is classified in. This comes directly from the PMS or is populated by Reva when the user modifies the tree manually.

Filters Object

Within this object the following attributes will be returned:


total_records integer
The total number of records that match the filters.


per_page integer
The number of records returned per page.


page integer
The current page.


pages integer
The total number of pages with data.

Path Params
string
required
Query Params
int32
Defaults to 1

The page of results you would like to retrieve.

int32
Defaults to 20

The number of records per page you would like to retrieve. The API has maximum value of 100 records per page.

int32

Filter results by the number of beds the units have.

string

Filter results by the id of the unit from the PMS.

parent_node_ids
array of strings

Filter results based on units classified within specific nodes, use node_id from the nodes endpoint.

parent_node_ids
boolean
Defaults to true

Filter results by the status of the units within Reva. This status is normally updated through a PMS integration or a Breezeway integration.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json